Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ReportSortInfo

    java.lang.Object
      jet.api.ReportSortInfo

    public class ReportSortInfo

extends java.lang.Object

An information package of report level sort.

Constructor Summary
`ReportSortInfo(boolean needTopN, int topN)` Constructor.
`ReportSortInfo(boolean needTopN, int topN, SortInfo[] sortInfo)` Constructor.

Method Summary
`void` | `addSortInfo(SortInfo info)` Adds the Sort information to the sort list.
`void` | `downSortInfo(int index)` Moves down the specified SortInfo.
`boolean` | `getNeedTopN()` Gets the status of whether or not to set the SelectN option.
`SortInfo[]` | `getSortInfo()` Gets all SortInfos of this report.
`int` | `getTopN()` Gets the TopN option's number.
`int` | `indexOfSortInfo(SortInfo info)` Gets the SortInfo information's index number of the specified SortInfo.
`int` | `indexOfSortInfo(java.lang.String sortBy)` Gets the SortInfo information's index number of the specified sortBy column.
`boolean` | `insertSortInfo(SortInfo sinfo, int index)` Adds the Sort information at the specified index.
`boolean` | `isSortIn(java.lang.String sortBy)` Checks whether or not the SortInfo which is sorted by the specified SortBy column exists.
`void` | `removeSortInfo(int index)` Removes the sort information at the specified index.
`void` | `removeSortInfo(SortInfo info)` Removes the SortInfo information from the sort list.
`void` | `removeSortInfo(java.lang.String sortBy)` Removes the sort information which is sorted by the sortBy field.
`void` | `setNeedTopN(boolean needTopN)` Sets the status of whether or not to apply TopN option.
`void` | `setSortInfo(SortInfo[] sinfo)` Sets the Sort information of the report.
`void` | `setTopN(int topN)` Sets the topN option's number.
`void` | `upSortInfo(int index)` Moves up the specified SortInfo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSortInfo

    public ReportSortInfo(boolean needTopN,
                          int topN)

  Constructor. Creates report sort information.

  Parameters:
    `needTopN` - Specifies whether to set topN or not.
    `topN` - The topN number.

### ReportSortInfo

    public ReportSortInfo(boolean needTopN,
                          int topN,
                          SortInfo[] sortInfo)

  Constructor. Creates report sort information.

  Parameters:
    `needTopN` - Specifies whether to set topN or not.
    `topN` - The topN number.
    `sortInfo` - The SortInfo information of the report.

Method Detail

### getNeedTopN

    public boolean getNeedTopN()

  Gets the status of whether or not to set the SelectN option.

  Returns:
    `true` if the group's SelectN option is set; `false` otherwise.
  See Also:
    `setNeedTopN(boolean)`

### getTopN

    public int getTopN()

  Gets the TopN option's number. This will take effect if and only if the NeedTopN is `true`.

  Returns:
    the TopN number.
  See Also:
    `#setNeedTopN(boolean)}, {@link #setTopN(int)}`

### setTopN

    public void setTopN(int topN)

  Sets the topN option's number. This will take effect if and only if the NeedTopN is `true`.

  Parameters:
    `topN` - The number of TopN option.
  See Also:
    `setNeedTopN(boolean)`

### setNeedTopN

    public void setNeedTopN(boolean needTopN)

  Sets the status of whether or not to apply TopN option.

  Parameters:
    `needSelectN` - Specifies the status of needTopN.

### setSortInfo

    public void setSortInfo(SortInfo[] sinfo)

  Sets the Sort information of the report.

  Parameters:
    `sinfo` - The Sort information of the report.

### addSortInfo

    public void addSortInfo(SortInfo info)

  Adds the Sort information to the sort list.

  Parameters:
    `info` - SortInfo information.

### insertSortInfo

    public boolean insertSortInfo(SortInfo sinfo,
                                  int index)

  Adds the Sort information at the specified index.

  Parameters:
    `sinfo` - SortInfo information.
    `index` - The specified index of the Sort list.
  Returns:
    `true` if the SortInfo is inserted successfully;`false` otherwise.

### removeSortInfo

    public void removeSortInfo(SortInfo info)

  Removes the SortInfo information from the sort list.

  Parameters:
    `info` - The SortInfo to be removed.

### removeSortInfo

    public void removeSortInfo(java.lang.String sortBy)

  Removes the sort information which is sorted by the sortBy field.

  Parameters:
    `sortBy` - The mapping name of the SortBy column.

### removeSortInfo

    public void removeSortInfo(int index)

  Removes the sort information at the specified index.

  Parameters:
    `index` - Index number of the sort information.

### indexOfSortInfo

    public int indexOfSortInfo(java.lang.String sortBy)

  Gets the SortInfo information's index number of the specified sortBy column.

  Parameters:
    `sortBy` - The mapping name of the sortBy column.
  Returns:
    the index number of the SortInfo specified by the SortBy column.

### indexOfSortInfo

    public int indexOfSortInfo(SortInfo info)

  Gets the SortInfo information's index number of the specified SortInfo.

  Parameters:
    `info` - The specified SortInfo.
  Returns:
    the index number of the specified SortInfo.

### upSortInfo

    public void upSortInfo(int index)

  Moves up the specified SortInfo.

  Parameters:
    `index` - Index number of SortInfo.

### downSortInfo

    public void downSortInfo(int index)

  Moves down the specified SortInfo.

  Parameters:
    `index` - Index number of SortInfo.

### isSortIn

    public boolean isSortIn(java.lang.String sortBy)

  Checks whether or not the SortInfo which is sorted by the specified SortBy column exists.

  Parameters:
    `sortBy` - The mapping name of the sortBy column.
  Returns:
    `true` if the SortInfo exists; `false` otherwise.

### getSortInfo

    public SortInfo[] getSortInfo()

  Gets all SortInfos of this report.

  Returns:
    SortInfos array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD